###################################################
### chunk number 1: preliminaries
###################################################
#line 56 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
options(prompt = "R> ")


###################################################
### chunk number 2: spls-prelim
###################################################
#line 60 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
library("spls")


###################################################
### chunk number 3: spls-data
###################################################
#line 87 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
data(yeast)
yeast$x[1:5,1:5]
yeast$y[1:5,1:5]


###################################################
### chunk number 4: plot1 eval=FALSE
###################################################
## #line 105 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## set.seed(1)
## cv <- cv.spls( yeast$x, yeast$y, eta = seq(0.1,0.9,0.1), K = c(5:10) )


###################################################
### chunk number 5: cv
###################################################
#line 116 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
#line 105 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw#from line#116#"
set.seed(1)
cv <- cv.spls( yeast$x, yeast$y, eta = seq(0.1,0.9,0.1), K = c(5:10) )
#line 117 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"


###################################################
### chunk number 6: spls-fn
###################################################
#line 131 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
f <- spls( yeast$x, yeast$y, eta = cv$eta.opt, K = cv$K.opt )
print(f)
coef.f <- coef(f)
coef.f[1:5,1:5]


###################################################
### chunk number 7: plot2 eval=FALSE
###################################################
## #line 150 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## plot.spls( f, yvar=1 )


###################################################
### chunk number 8: plot
###################################################
#line 156 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
#line 150 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw#from line#156#"
plot.spls( f, yvar=1 )
#line 157 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"


###################################################
### chunk number 9: plot3 eval=FALSE
###################################################
## #line 180 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## coefplot.spls( f, nwin=c(2,2), xvar=c(1:4) )


###################################################
### chunk number 10: coef
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
#line 180 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw#from line#186#"
coefplot.spls( f, nwin=c(2,2), xvar=c(1:4) )
#line 187 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"


###################################################
### chunk number 11: eqtl-data
###################################################
#line 211 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
data(mice)
mice$x[1:5,1:5]
mice$y[1:5,1:5]


###################################################
### chunk number 12: eqtl-cv eval=FALSE
###################################################
## #line 220 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## set.seed(1)
## cv <- cv.spls( mice$x, mice$y, eta = seq(0.1,0.9,0.1), K = c(1:5) )


###################################################
### chunk number 13: eqtl-fn eval=FALSE
###################################################
## #line 227 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## f <- spls( mice$x, mice$y, eta = cv$eta.opt, K = cv$K.opt )
## print(f)


###################################################
### chunk number 14: eqtl-fn
###################################################
#line 232 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
f <- spls( mice$x, mice$y, eta = 0.6, K = 1 )
print(f)


###################################################
### chunk number 15: plot5 eval=FALSE
###################################################
## #line 249 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## set.seed(1)
## ci.f <- ci.spls( f, plot.it=TRUE, plot.fix='x', plot.var=20 )


###################################################
### chunk number 16: ciplot
###################################################
#line 256 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
#line 249 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw#from line#256#"
set.seed(1)
ci.f <- ci.spls( f, plot.it=TRUE, plot.fix='x', plot.var=20 )
#line 257 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"


###################################################
### chunk number 17: eqtl-ci
###################################################
#line 268 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
cis <- ci.f$cibeta
cis[[20]][1:5,]


###################################################
### chunk number 18: cor1 eval=FALSE
###################################################
## #line 281 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## cf <- correct.spls( ci.f )


###################################################
### chunk number 19: cor2
###################################################
#line 285 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
cf <- correct.spls( ci.f, plot.it=FALSE )


###################################################
### chunk number 20: cor-out
###################################################
#line 289 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
cf[15:20,1:5]


###################################################
### chunk number 21: plot6 eval=FALSE
###################################################
## #line 293 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## heatmap.spls( mat=f$betahat, xlab='Predictors', ylab='Responses',
##             main='Original Coefficient Estimates', coln=16, as='i' )


###################################################
### chunk number 22: plot7 eval=FALSE
###################################################
## #line 298 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
## heatmap.spls( mat=cf, xlab='Predictors', ylab='Responses',
##             main='Corrected Coefficient Estimates', coln=16, as='i' )        


###################################################
### chunk number 23: coef1
###################################################
#line 305 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
#line 293 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw#from line#305#"
heatmap.spls( mat=f$betahat, xlab='Predictors', ylab='Responses',
            main='Original Coefficient Estimates', coln=16, as='i' )
#line 306 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"


###################################################
### chunk number 24: coef2
###################################################
#line 314 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"
#line 298 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw#from line#314#"
heatmap.spls( mat=cf, xlab='Predictors', ylab='Responses',
            main='Corrected Coefficient Estimates', coln=16, as='i' )        
#line 315 "d:/Rcompile/CRANpkg/local/2.12/spls/inst/doc/spls-example.Rnw"


